#!/bin/sh
#
# mvparent.sh, Copyright © 2007, 2010 Matteo Cypriani
#
# This program is free software. It comes without any warranty, to
# the extent permitted by applicable law. You can redistribute it
# and/or modify it under the terms of the Do What The Fuck You Want
# To Public License, Version 2, as published by Sam Hocevar. See
# http://sam.zoy.org/wtfpl/COPYING for more details.
#
# Moves the contents of the given directory into its parent directory.

if [ $# -ne 1 -o ! -d "$1" ] ; then
	echo "Usage: `basename $0` DIRECTORY" >&2
	exit 1
fi

rep=$(dirname "$1")
cible=$(basename "$1")

if [ "$cible" = "." -o "$cible" = ".." ] ; then
	echo "Target cannot end by « . » or « .. »!" >&2
	exit 2
fi

echo "Move the contents of « $rep/$cible » into « $rep »…" >&2

cd "$rep"
mv "$cible"/* "$cible"/.[!.]* .
rmdir "$cible"
